
extern "C" 
{

//------------------------------------------------------------------------------------
// irr::scene::IAnimatedMesh wrappers
//------------------------------------------------------------------------------------
	
	u32 IrrScene_IAnimatedMesh_getFrameCount(IAnimatedMesh* am)
	{
		if (am)
			return am->getFrameCount();
		else return 0;
	}
	
	IMesh* IrrScene_IAnimatedMesh_getMesh(IAnimatedMesh* am,s32 frame, s32 detailLevel=255, s32 startFrameLoop=-1, s32 endFrameLoop=-1)
	{
		if (am)
			return am->getMesh(frame,detailLevel,startFrameLoop,endFrameLoop);
		else return 0;
	}
	
	s32 IrrScene_IAnimatedMesh_getMeshType(IAnimatedMesh* am)
	{
		if (am)
			return am->getMeshType();
		else return -1;
	}

	bool IrrScene_IAnimatedMesh_drop(IAnimatedMesh* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrScene_IAnimatedMesh_getDebugName(IAnimatedMesh* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrScene_IAnimatedMesh_grab(IAnimatedMesh* unk)
	{
		if (unk)
			unk->grab();
	}
	
}

